#line 1 "C:/Arquivos de programas/Mikroelektronika/mikroC PRO for AVR/projetos/VOLTIMETER_AT/VOLTIMETER_AT.c"
#line 18 "C:/Arquivos de programas/Mikroelektronika/mikroC PRO for AVR/projetos/VOLTIMETER_AT/VOLTIMETER_AT.c"
sbit LCDRS at PORTB3_bit;
sbit LCDEN at PORTB2_bit;
sbit LCDD4 at PORTB4_bit;
sbit LCDD5 at PORTB5_bit;
sbit LCDD6 at PORTB6_bit;
sbit LCDD7 at PORTB7_bit;

sbit LCDRS_Dir at DDB3_bit;
sbit LCDEN_Dir at DDB2_bit;
sbit LCDD4_Dir at DDB4_bit;
sbit LCDD5_Dir at DDB5_bit;
sbit LCDD6_Dir at DDB6_bit;
sbit LCDD7_Dir at DDB7_bit;





void lcd_clk(void){
 LCDEN=1;
 delay_us(1);
 LCDEN=0;

 }


 void env_nib(char b){

 if(b&0x10)LCDD4=1; else LCDD4=0;
 if(b&0x20)LCDD5=1; else LCDD5=0;
 if(b&0x40)LCDD6=1; else LCDD6=0;
 if(b&0x80)LCDD7=1; else LCDD7=0;
 lcd_clk();
 }


 void env_lcd_c(char val){
 LCDRS=0;
 env_nib(val);
 env_nib(val<<4);
 delay_ms(10);
}


 void env_lcd_d(char val){
 LCDRS=1;
 env_nib(val);
 env_nib(val<<4);
 delay_ms(1);
 }

void Lcd_String(char linha,char posicao, const char *frase){
 char a;
 if(linha==1)posicao+=0x7f; else posicao+=0xbf;
 env_lcd_c(posicao);
 for(a=0;frase[a]!=0;a++){
 env_lcd_d(frase[a]);
 }

}


void Init_Lcd(void){
 char a;

 LCDRS=0;
 LCDRS_Dir =1;
 LCDEN_Dir =1;
 LCDD4_Dir =1;
 LCDD5_Dir =1;
 LCDD6_Dir =1;
 LCDD7_Dir =1;
 LCDD4=0;
 LCDD5=0;
 LCDD6=0;
 LCDD7=0;
 LCDEN=0;
 delay_ms(50);
 LCDD4=1; LCDD5=1;
 for(a=0;a<3;a++) {lcd_clk(); delay_ms(5);}
 LCDD4=0;
 lcd_clk();
 delay_ms(5);
 env_lcd_c(0x28);
 env_lcd_c(0x06);
 env_lcd_c(0x0c);
 env_lcd_c(0x01);
 delay_ms(10);

}

 void show_blog() {
 code const char texto4[]={" Multi_Freq_Lcd "};
 char a;
 env_lcd_c(0x80);
 for(a=0;a<16;a++){
 env_lcd_d(texto4[a]);
 }
 }

 void show_name() {
 code const char texto5[]={"Larios.Tecnol.ws"};
 char a;
 env_lcd_c(0xc0);
 for(a=0;a<16;a++){
 env_lcd_d(texto5[a]);
 }

 }



void main() {
 Init_Lcd();
 env_lcd_c(1);
 show_name();
 show_blog();
 delay_ms(2000);
 env_lcd_c(1);
 for(;;){




 }
}
