
_Timer1_Interrupt:
	PUSH       R30
	PUSH       R31
	PUSH       R27
	IN         R27, SREG+0
	PUSH       R27

;VOLTIMETER_ATTINY2313_c.c,48 :: 		void Timer1_Interrupt() iv IVT_ADDR_TIMER1_OVF  {
;VOLTIMETER_ATTINY2313_c.c,50 :: 		TCNT1H=0xfe ;   //Carga para tempo de interrupo a cada 55 useg
	LDI        R27, 254
	OUT        TCNT1H+0, R27
;VOLTIMETER_ATTINY2313_c.c,51 :: 		TCNT1l=0x48;
	LDI        R27, 72
	OUT        TCNT1L+0, R27
;VOLTIMETER_ATTINY2313_c.c,52 :: 		if(!f_ok) //se no foi lido sai da rotina
	LDS        R27, _f_ok+0
	SBRC       R27, BitPos(_f_ok+0)
	JMP        L_Timer1_Interrupt0
;VOLTIMETER_ATTINY2313_c.c,53 :: 		if(!f_t1) {ciclo=0; mil='0';cent='0';dez='0';un='0'; f_t1=1;} //inicializao do conversor
	LDS        R27, _f_t1+0
	SBRC       R27, BitPos(_f_t1+0)
	JMP        L_Timer1_Interrupt1
	LDI        R27, 0
	STS        _ciclo+0, R27
	STS        _ciclo+1, R27
	LDI        R27, 48
	STS        _mil+0, R27
	LDI        R27, 48
	STS        _cent+0, R27
	LDI        R27, 48
	STS        _dez+0, R27
	LDI        R27, 48
	STS        _un+0, R27
	LDS        R27, _f_t1+0
	SBR        R27, BitMask(_f_t1+0)
	STS        _f_t1+0, R27
L_Timer1_Interrupt1:
L_Timer1_Interrupt0:
;VOLTIMETER_ATTINY2313_c.c,54 :: 		if(ACSR.ACO) PORTD.B5=1; else   {  //testa saida do comparador e altera o modulador de 1 bit pino 9
	IN         R27, ACSR+0
	SBRS       R27, 5
	JMP        L_Timer1_Interrupt2
	IN         R27, PORTD+0
	SBR        R27, 32
	OUT        PORTD+0, R27
	JMP        L_Timer1_Interrupt3
L_Timer1_Interrupt2:
;VOLTIMETER_ATTINY2313_c.c,55 :: 		PORTD.B5=0;
	IN         R27, PORTD+0
	CBR        R27, 32
	OUT        PORTD+0, R27
;VOLTIMETER_ATTINY2313_c.c,56 :: 		if(++un>'9'){un='0'; dez++;}  //incrementa contadores de resultado j em formato decimal
	LDS        R16, _un+0
	MOV        R17, R16
	SUBI       R17, 255
	STS        _un+0, R17
	LDI        R16, 57
	CP         R16, R17
	BRLO       L__Timer1_Interrupt50
	JMP        L_Timer1_Interrupt4
L__Timer1_Interrupt50:
	LDI        R27, 48
	STS        _un+0, R27
	LDS        R16, _dez+0
	SUBI       R16, 255
	STS        _dez+0, R16
L_Timer1_Interrupt4:
;VOLTIMETER_ATTINY2313_c.c,57 :: 		if(dez>'9'){dez='0'; cent++;}
	LDS        R17, _dez+0
	LDI        R16, 57
	CP         R16, R17
	BRLO       L__Timer1_Interrupt51
	JMP        L_Timer1_Interrupt5
L__Timer1_Interrupt51:
	LDI        R27, 48
	STS        _dez+0, R27
	LDS        R16, _cent+0
	SUBI       R16, 255
	STS        _cent+0, R16
L_Timer1_Interrupt5:
;VOLTIMETER_ATTINY2313_c.c,58 :: 		if(cent>'9'){cent='0';mil++;}
	LDS        R17, _cent+0
	LDI        R16, 57
	CP         R16, R17
	BRLO       L__Timer1_Interrupt52
	JMP        L_Timer1_Interrupt6
L__Timer1_Interrupt52:
	LDI        R27, 48
	STS        _cent+0, R27
	LDS        R16, _mil+0
	SUBI       R16, 255
	STS        _mil+0, R16
L_Timer1_Interrupt6:
;VOLTIMETER_ATTINY2313_c.c,59 :: 		}//testa saida do comparador
L_Timer1_Interrupt3:
;VOLTIMETER_ATTINY2313_c.c,60 :: 		ciclo++;
	LDS        R16, _ciclo+0
	LDS        R17, _ciclo+1
	MOVW       R18, R16
	SUBI       R18, 255
	SBCI       R19, 255
	STS        _ciclo+0, R18
	STS        _ciclo+1, R19
;VOLTIMETER_ATTINY2313_c.c,61 :: 		if(ciclo>=resolucao){f_ok=1;PORTD.B5=0;f_t1=0;}  //verifica se j acabou as 4096 converses
	LDI        R16, 0
	LDI        R17, 16
	CP         R18, R16
	CPC        R19, R17
	BRGE       L__Timer1_Interrupt53
	JMP        L_Timer1_Interrupt7
L__Timer1_Interrupt53:
	LDS        R27, _f_ok+0
	SBR        R27, BitMask(_f_ok+0)
	STS        _f_ok+0, R27
	IN         R27, PORTD+0
	CBR        R27, 32
	OUT        PORTD+0, R27
	LDS        R27, _f_t1+0
	CBR        R27, BitMask(_f_t1+0)
	STS        _f_t1+0, R27
L_Timer1_Interrupt7:
;VOLTIMETER_ATTINY2313_c.c,62 :: 		}
L_end_Timer1_Interrupt:
	POP        R27
	OUT        SREG+0, R27
	POP        R27
	POP        R31
	POP        R30
	RETI
; end of _Timer1_Interrupt

_lcd_clk:

;VOLTIMETER_ATTINY2313_c.c,70 :: 		void lcd_clk(void){
;VOLTIMETER_ATTINY2313_c.c,71 :: 		LCDEN=1;
	IN         R27, PORTB2_bit+0
	SBR        R27, BitMask(PORTB2_bit+0)
	OUT        PORTB2_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,72 :: 		delay_us(1);//
	LDI        R16, 2
L_lcd_clk8:
	DEC        R16
	BRNE       L_lcd_clk8
	NOP
	NOP
;VOLTIMETER_ATTINY2313_c.c,73 :: 		LCDEN=0;
	IN         R27, PORTB2_bit+0
	CBR        R27, BitMask(PORTB2_bit+0)
	OUT        PORTB2_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,75 :: 		}
L_end_lcd_clk:
	RET
; end of _lcd_clk

_env_nib:

;VOLTIMETER_ATTINY2313_c.c,78 :: 		void env_nib(char b){
;VOLTIMETER_ATTINY2313_c.c,80 :: 		if(b&0x10)LCDD4=1; else LCDD4=0;
	BST        R2, 4
	BRTS       L__env_nib56
	JMP        L_env_nib10
L__env_nib56:
	IN         R27, PORTB4_bit+0
	SBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
	JMP        L_env_nib11
L_env_nib10:
	IN         R27, PORTB4_bit+0
	CBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
L_env_nib11:
;VOLTIMETER_ATTINY2313_c.c,81 :: 		if(b&0x20)LCDD5=1; else LCDD5=0;
	BST        R2, 5
	BRTS       L__env_nib57
	JMP        L_env_nib12
L__env_nib57:
	IN         R27, PORTB5_bit+0
	SBR        R27, BitMask(PORTB5_bit+0)
	OUT        PORTB5_bit+0, R27
	JMP        L_env_nib13
L_env_nib12:
	IN         R27, PORTB5_bit+0
	CBR        R27, BitMask(PORTB5_bit+0)
	OUT        PORTB5_bit+0, R27
L_env_nib13:
;VOLTIMETER_ATTINY2313_c.c,82 :: 		if(b&0x40)LCDD6=1; else LCDD6=0;
	BST        R2, 6
	BRTS       L__env_nib58
	JMP        L_env_nib14
L__env_nib58:
	IN         R27, PORTB6_bit+0
	SBR        R27, BitMask(PORTB6_bit+0)
	OUT        PORTB6_bit+0, R27
	JMP        L_env_nib15
L_env_nib14:
	IN         R27, PORTB6_bit+0
	CBR        R27, BitMask(PORTB6_bit+0)
	OUT        PORTB6_bit+0, R27
L_env_nib15:
;VOLTIMETER_ATTINY2313_c.c,83 :: 		if(b&0x80)LCDD7=1; else LCDD7=0;
	BST        R2, 7
	BRTS       L__env_nib59
	JMP        L_env_nib16
L__env_nib59:
	IN         R27, PORTB7_bit+0
	SBR        R27, BitMask(PORTB7_bit+0)
	OUT        PORTB7_bit+0, R27
	JMP        L_env_nib17
L_env_nib16:
	IN         R27, PORTB7_bit+0
	CBR        R27, BitMask(PORTB7_bit+0)
	OUT        PORTB7_bit+0, R27
L_env_nib17:
;VOLTIMETER_ATTINY2313_c.c,84 :: 		lcd_clk();
	CALL       _lcd_clk+0
;VOLTIMETER_ATTINY2313_c.c,85 :: 		}
L_end_env_nib:
	RET
; end of _env_nib

_env_lcd_c:

;VOLTIMETER_ATTINY2313_c.c,88 :: 		void env_lcd_c(char val){
;VOLTIMETER_ATTINY2313_c.c,89 :: 		LCDRS=0;
	PUSH       R2
	IN         R27, PORTB3_bit+0
	CBR        R27, BitMask(PORTB3_bit+0)
	OUT        PORTB3_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,90 :: 		env_nib(val);
	CALL       _env_nib+0
;VOLTIMETER_ATTINY2313_c.c,91 :: 		env_nib(val<<4);
	MOV        R16, R2
	LSL        R16
	LSL        R16
	LSL        R16
	LSL        R16
	MOV        R2, R16
	CALL       _env_nib+0
;VOLTIMETER_ATTINY2313_c.c,92 :: 		delay_ms(10);
	LDI        R17, 104
	LDI        R16, 229
L_env_lcd_c18:
	DEC        R16
	BRNE       L_env_lcd_c18
	DEC        R17
	BRNE       L_env_lcd_c18
;VOLTIMETER_ATTINY2313_c.c,93 :: 		}
L_end_env_lcd_c:
	POP        R2
	RET
; end of _env_lcd_c

_env_lcd_d:

;VOLTIMETER_ATTINY2313_c.c,96 :: 		void env_lcd_d(char val){
;VOLTIMETER_ATTINY2313_c.c,97 :: 		LCDRS=1;
	PUSH       R2
	IN         R27, PORTB3_bit+0
	SBR        R27, BitMask(PORTB3_bit+0)
	OUT        PORTB3_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,98 :: 		env_nib(val);
	CALL       _env_nib+0
;VOLTIMETER_ATTINY2313_c.c,99 :: 		env_nib(val<<4);
	MOV        R16, R2
	LSL        R16
	LSL        R16
	LSL        R16
	LSL        R16
	MOV        R2, R16
	CALL       _env_nib+0
;VOLTIMETER_ATTINY2313_c.c,100 :: 		delay_ms(1);
	LDI        R17, 11
	LDI        R16, 99
L_env_lcd_d20:
	DEC        R16
	BRNE       L_env_lcd_d20
	DEC        R17
	BRNE       L_env_lcd_d20
;VOLTIMETER_ATTINY2313_c.c,101 :: 		}
L_end_env_lcd_d:
	POP        R2
	RET
; end of _env_lcd_d

_Lcd_String:

;VOLTIMETER_ATTINY2313_c.c,103 :: 		void Lcd_String(char linha,char posicao, const char *frase){  //envia frases
;VOLTIMETER_ATTINY2313_c.c,105 :: 		if(linha==1)posicao+=0x7f; else posicao+=0xbf;
	PUSH       R2
	LDI        R27, 1
	CP         R2, R27
	BREQ       L__Lcd_String63
	JMP        L_Lcd_String22
L__Lcd_String63:
	MOV        R16, R3
	SUBI       R16, 129
	MOV        R3, R16
	JMP        L_Lcd_String23
L_Lcd_String22:
	MOV        R16, R3
	SUBI       R16, 65
	MOV        R3, R16
L_Lcd_String23:
;VOLTIMETER_ATTINY2313_c.c,106 :: 		env_lcd_c(posicao);
	MOV        R2, R3
	CALL       _env_lcd_c+0
;VOLTIMETER_ATTINY2313_c.c,107 :: 		for(a=0;frase[a]!=0;a++){
; a start address is: 17 (R17)
	LDI        R17, 0
; a end address is: 17 (R17)
L_Lcd_String24:
; a start address is: 17 (R17)
	MOV        R30, R17
	LDI        R31, 0
	ADD        R30, R4
	ADC        R31, R5
	LPM        R16, Z
	CPI        R16, 0
	BRNE       L__Lcd_String64
	JMP        L_Lcd_String25
L__Lcd_String64:
;VOLTIMETER_ATTINY2313_c.c,108 :: 		env_lcd_d(frase[a]);
	MOV        R30, R17
	LDI        R31, 0
	ADD        R30, R4
	ADC        R31, R5
	LPM        R16, Z
	PUSH       R17
	PUSH       R2
	MOV        R2, R16
	CALL       _env_lcd_d+0
	POP        R2
	POP        R17
;VOLTIMETER_ATTINY2313_c.c,107 :: 		for(a=0;frase[a]!=0;a++){
	MOV        R16, R17
	SUBI       R16, 255
	MOV        R17, R16
;VOLTIMETER_ATTINY2313_c.c,109 :: 		}
; a end address is: 17 (R17)
	JMP        L_Lcd_String24
L_Lcd_String25:
;VOLTIMETER_ATTINY2313_c.c,111 :: 		}
L_end_Lcd_String:
	POP        R2
	RET
; end of _Lcd_String

_Init_Lcd:

;VOLTIMETER_ATTINY2313_c.c,114 :: 		void Init_Lcd(void){
;VOLTIMETER_ATTINY2313_c.c,117 :: 		LCDRS=0;
	PUSH       R2
	IN         R27, PORTB3_bit+0
	CBR        R27, BitMask(PORTB3_bit+0)
	OUT        PORTB3_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,118 :: 		LCDRS_Dir =1;
	IN         R27, DDB3_bit+0
	SBR        R27, BitMask(DDB3_bit+0)
	OUT        DDB3_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,119 :: 		LCDEN_Dir =1;
	IN         R27, DDB2_bit+0
	SBR        R27, BitMask(DDB2_bit+0)
	OUT        DDB2_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,120 :: 		LCDD4_Dir =1;
	IN         R27, DDB4_bit+0
	SBR        R27, BitMask(DDB4_bit+0)
	OUT        DDB4_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,121 :: 		LCDD5_Dir =1;
	IN         R27, DDB5_bit+0
	SBR        R27, BitMask(DDB5_bit+0)
	OUT        DDB5_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,122 :: 		LCDD6_Dir =1;
	IN         R27, DDB6_bit+0
	SBR        R27, BitMask(DDB6_bit+0)
	OUT        DDB6_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,123 :: 		LCDD7_Dir =1;
	IN         R27, DDB7_bit+0
	SBR        R27, BitMask(DDB7_bit+0)
	OUT        DDB7_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,124 :: 		LCDD4=0;//situao inicial resetados
	IN         R27, PORTB4_bit+0
	CBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,125 :: 		LCDD5=0;
	IN         R27, PORTB5_bit+0
	CBR        R27, BitMask(PORTB5_bit+0)
	OUT        PORTB5_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,126 :: 		LCDD6=0;
	IN         R27, PORTB6_bit+0
	CBR        R27, BitMask(PORTB6_bit+0)
	OUT        PORTB6_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,127 :: 		LCDD7=0;
	IN         R27, PORTB7_bit+0
	CBR        R27, BitMask(PORTB7_bit+0)
	OUT        PORTB7_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,128 :: 		LCDEN=0;
	IN         R27, PORTB2_bit+0
	CBR        R27, BitMask(PORTB2_bit+0)
	OUT        PORTB2_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,129 :: 		delay_ms(50);//delay inicial
	LDI        R18, 3
	LDI        R17, 8
	LDI        R16, 120
L_Init_Lcd27:
	DEC        R16
	BRNE       L_Init_Lcd27
	DEC        R17
	BRNE       L_Init_Lcd27
	DEC        R18
	BRNE       L_Init_Lcd27
;VOLTIMETER_ATTINY2313_c.c,130 :: 		LCDD4=1; LCDD5=1;// setados
	IN         R27, PORTB4_bit+0
	SBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
	IN         R27, PORTB5_bit+0
	SBR        R27, BitMask(PORTB5_bit+0)
	OUT        PORTB5_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,131 :: 		for(a=0;a<3;a++) {lcd_clk(); delay_ms(5);}// envia 3,3,3
; a start address is: 17 (R17)
	LDI        R17, 0
; a end address is: 17 (R17)
L_Init_Lcd29:
; a start address is: 17 (R17)
	CPI        R17, 3
	BRLO       L__Init_Lcd66
	JMP        L_Init_Lcd30
L__Init_Lcd66:
	PUSH       R17
	CALL       _lcd_clk+0
	LDI        R17, 52
	LDI        R16, 242
L_Init_Lcd32:
	DEC        R16
	BRNE       L_Init_Lcd32
	DEC        R17
	BRNE       L_Init_Lcd32
	NOP
	POP        R17
	MOV        R16, R17
	SUBI       R16, 255
	MOV        R17, R16
; a end address is: 17 (R17)
	JMP        L_Init_Lcd29
L_Init_Lcd30:
;VOLTIMETER_ATTINY2313_c.c,132 :: 		LCDD4=0;//envia 2
	IN         R27, PORTB4_bit+0
	CBR        R27, BitMask(PORTB4_bit+0)
	OUT        PORTB4_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,133 :: 		lcd_clk();//pulso em 'en'
	CALL       _lcd_clk+0
;VOLTIMETER_ATTINY2313_c.c,134 :: 		delay_ms(5);
	LDI        R17, 52
	LDI        R16, 242
L_Init_Lcd34:
	DEC        R16
	BRNE       L_Init_Lcd34
	DEC        R17
	BRNE       L_Init_Lcd34
	NOP
;VOLTIMETER_ATTINY2313_c.c,135 :: 		env_lcd_c(0x28);//ajusta para 4 bits o modo de envio
	LDI        R27, 40
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_ATTINY2313_c.c,136 :: 		env_lcd_c(0x06);// no shift
	LDI        R27, 6
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_ATTINY2313_c.c,137 :: 		env_lcd_c(0x0c);//Display ON, Cursor OFF, Blink OFF
	LDI        R27, 12
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_ATTINY2313_c.c,138 :: 		env_lcd_c(0x01);//limpa tela
	LDI        R27, 1
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_ATTINY2313_c.c,139 :: 		delay_ms(10);   //Delay
	LDI        R17, 104
	LDI        R16, 229
L_Init_Lcd36:
	DEC        R16
	BRNE       L_Init_Lcd36
	DEC        R17
	BRNE       L_Init_Lcd36
;VOLTIMETER_ATTINY2313_c.c,141 :: 		}
L_end_Init_Lcd:
	POP        R2
	RET
; end of _Init_Lcd

_main:
	LDI        R27, 255
	OUT        SPL+0, R27
	LDI        R27, 0
	OUT        SPL+1, R27

;VOLTIMETER_ATTINY2313_c.c,146 :: 		void main() {
;VOLTIMETER_ATTINY2313_c.c,147 :: 		Init_Lcd();                        // Inicializa o  LCD
	PUSH       R2
	PUSH       R3
	PUSH       R4
	PUSH       R5
	CALL       _Init_Lcd+0
;VOLTIMETER_ATTINY2313_c.c,148 :: 		env_lcd_c(1);  //limpa a tela
	LDI        R27, 1
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_ATTINY2313_c.c,149 :: 		Lcd_String(1,1," Voltimetro_Lcd ");   // Escreve nome do aparelho
	LDI        R27, #lo_addr(?lstr_1_VOLTIMETER_ATTINY2313_c+0)
	MOV        R4, R27
	LDI        R27, hi_addr(?lstr_1_VOLTIMETER_ATTINY2313_c+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_String+0
;VOLTIMETER_ATTINY2313_c.c,150 :: 		Lcd_String(2,1,"Larios.Tecnol.ws");   // Escreve nome do blog
	LDI        R27, #lo_addr(?lstr_2_VOLTIMETER_ATTINY2313_c+0)
	MOV        R4, R27
	LDI        R27, hi_addr(?lstr_2_VOLTIMETER_ATTINY2313_c+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 2
	MOV        R2, R27
	CALL       _Lcd_String+0
;VOLTIMETER_ATTINY2313_c.c,151 :: 		delay_ms(2000);// Tempo de apresentao da mensagem
	LDI        R18, 82
	LDI        R17, 43
	LDI        R16, 0
L_main38:
	DEC        R16
	BRNE       L_main38
	DEC        R17
	BRNE       L_main38
	DEC        R18
	BRNE       L_main38
	NOP
	NOP
	NOP
	NOP
;VOLTIMETER_ATTINY2313_c.c,152 :: 		env_lcd_c(1);//limpa tela
	LDI        R27, 1
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_ATTINY2313_c.c,153 :: 		AIN0_DIR=0; //Entrada para comparador
	IN         R27, DDB0_bit+0
	CBR        R27, BitMask(DDB0_bit+0)
	OUT        DDB0_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,154 :: 		AIN1_DIR=0; //Entrada para comparador
	IN         R27, DDB1_bit+0
	CBR        R27, BitMask(DDB1_bit+0)
	OUT        DDB1_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,155 :: 		DIDR.AIN1D=1;//Pino como entrada analgica
	IN         R27, DIDR+0
	SBR        R27, 2
	OUT        DIDR+0, R27
;VOLTIMETER_ATTINY2313_c.c,156 :: 		DIDR.AIN0D=0;//Pino como VREF e ligando ao Ain0
	IN         R27, DIDR+0
	CBR        R27, 1
	OUT        DIDR+0, R27
;VOLTIMETER_ATTINY2313_c.c,157 :: 		ACSR.ACBG=0; //Liga ain0 ao pino 12
	IN         R27, ACSR+0
	CBR        R27, 64
	OUT        ACSR+0, R27
;VOLTIMETER_ATTINY2313_c.c,159 :: 		ACSR.ACD=0; //Liga comparador analgico
	IN         R27, ACSR+0
	CBR        R27, 128
	OUT        ACSR+0, R27
;VOLTIMETER_ATTINY2313_c.c,160 :: 		ACSR.ACIE=0;//Desliga interrupo do comparador
	IN         R27, ACSR+0
	CBR        R27, 8
	OUT        ACSR+0, R27
;VOLTIMETER_ATTINY2313_c.c,161 :: 		SREG_I_bit = 1;  // Liga geral das interrupes
	IN         R27, SREG_I_bit+0
	SBR        R27, BitMask(SREG_I_bit+0)
	OUT        SREG_I_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,162 :: 		TCCR1B = 1;    //divide 1  prescaller
	LDI        R27, 1
	OUT        TCCR1B+0, R27
;VOLTIMETER_ATTINY2313_c.c,163 :: 		TOIE1_bit=1; //liga interrupo do timer 1 over flow
	IN         R27, TOIE1_bit+0
	SBR        R27, BitMask(TOIE1_bit+0)
	OUT        TOIE1_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,164 :: 		DDD5_BIT=1;//Saida
	IN         R27, DDD5_bit+0
	SBR        R27, BitMask(DDD5_bit+0)
	OUT        DDD5_bit+0, R27
;VOLTIMETER_ATTINY2313_c.c,165 :: 		f_ok=0;
	LDS        R27, _f_ok+0
	CBR        R27, BitMask(_f_ok+0)
	STS        _f_ok+0, R27
;VOLTIMETER_ATTINY2313_c.c,166 :: 		Lcd_String(1,1,"   Voltagem:    ");  //mensagem: "Voltagem:"
	LDI        R27, #lo_addr(?lstr_3_VOLTIMETER_ATTINY2313_c+0)
	MOV        R4, R27
	LDI        R27, hi_addr(?lstr_3_VOLTIMETER_ATTINY2313_c+0)
	MOV        R5, R27
	LDI        R27, 1
	MOV        R3, R27
	LDI        R27, 1
	MOV        R2, R27
	CALL       _Lcd_String+0
;VOLTIMETER_ATTINY2313_c.c,170 :: 		for(;;){
L_main40:
;VOLTIMETER_ATTINY2313_c.c,171 :: 		f_ok=0;
	LDS        R27, _f_ok+0
	CBR        R27, BitMask(_f_ok+0)
	STS        _f_ok+0, R27
;VOLTIMETER_ATTINY2313_c.c,172 :: 		while(!f_ok);//aguarda converso da tenso
L_main43:
	LDS        R27, _f_ok+0
	SBRC       R27, BitPos(_f_ok+0)
	JMP        L_main44
	JMP        L_main43
L_main44:
;VOLTIMETER_ATTINY2313_c.c,173 :: 		env_lcd_c(0xc4);
	LDI        R27, 196
	MOV        R2, R27
	CALL       _env_lcd_c+0
;VOLTIMETER_ATTINY2313_c.c,174 :: 		if(mil=='0')env_lcd_d(' ');else env_lcd_d(mil);  //milhar ou elimina zero a esquerda
	LDS        R16, _mil+0
	CPI        R16, 48
	BREQ       L__main68
	JMP        L_main45
L__main68:
	LDI        R27, 32
	MOV        R2, R27
	CALL       _env_lcd_d+0
	JMP        L_main46
L_main45:
	LDS        R2, _mil+0
	CALL       _env_lcd_d+0
L_main46:
;VOLTIMETER_ATTINY2313_c.c,175 :: 		env_lcd_d(cent); //centenas
	LDS        R2, _cent+0
	CALL       _env_lcd_d+0
;VOLTIMETER_ATTINY2313_c.c,176 :: 		env_lcd_d('.');  //ponto
	LDI        R27, 46
	MOV        R2, R27
	CALL       _env_lcd_d+0
;VOLTIMETER_ATTINY2313_c.c,177 :: 		env_lcd_d(dez); //dezenas
	LDS        R2, _dez+0
	CALL       _env_lcd_d+0
;VOLTIMETER_ATTINY2313_c.c,178 :: 		env_lcd_d(un);  //unidades
	LDS        R2, _un+0
	CALL       _env_lcd_d+0
;VOLTIMETER_ATTINY2313_c.c,179 :: 		env_lcd_d(' ');  //espao
	LDI        R27, 32
	MOV        R2, R27
	CALL       _env_lcd_d+0
;VOLTIMETER_ATTINY2313_c.c,180 :: 		env_lcd_d('V');  //sufixo 'V'
	LDI        R27, 86
	MOV        R2, R27
	CALL       _env_lcd_d+0
;VOLTIMETER_ATTINY2313_c.c,181 :: 		env_lcd_d(' ');  //espao
	LDI        R27, 32
	MOV        R2, R27
	CALL       _env_lcd_d+0
;VOLTIMETER_ATTINY2313_c.c,182 :: 		delay_ms(300);   //delay entre converses
	LDI        R18, 13
	LDI        R17, 45
	LDI        R16, 216
L_main47:
	DEC        R16
	BRNE       L_main47
	DEC        R17
	BRNE       L_main47
	DEC        R18
	BRNE       L_main47
	NOP
	NOP
;VOLTIMETER_ATTINY2313_c.c,183 :: 		}
	JMP        L_main40
;VOLTIMETER_ATTINY2313_c.c,184 :: 		}
L_end_main:
	POP        R5
	POP        R4
	POP        R3
	POP        R2
L__main_end_loop:
	JMP        L__main_end_loop
; end of _main
